/*********************************************************************************
 *  Copyright (C) 2013 Tom Arn, www.t-arn.com                               *
 *                                                                               *
 *  This library is free software; you can redistribute                          *
 *  it and/or modify it under the terms of the GNU Lesser General                *
 *  Public License distributed with this software.                               *
 *                                                                               *
 *  Under this license, linking this library or part thereof with other files to *
 *  produce an executable does not in itself require the executable to be        *
 *  covered by the GNU Lesser General Public License.                            *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, please download it at: www.t-arn.com/LGPL.txt                        *
 *                                                                               *
 *********************************************************************************/

package java.text;

import java.text.ParseException;
import java.util.Date;
import java.util.TimeZone;
import java.util.GregorianCalendar;

//##################################################################
public class SimpleDateFormat 
  extends eve.sys.SimpleDateFormat
//##################################################################
{
  // class variables
  private GregorianCalendar myCal;
  
//===================================================================
  public SimpleDateFormat (String pattern)
//===================================================================
  {
    super(pattern);
    myCal = new GregorianCalendar();
  } // SimpleDateFormat
//===================================================================
  public SimpleDateFormat (String pattern, java.util.Locale locale)
//===================================================================
  {
    super(pattern, new eve.sys.Locale(locale, true));
    myCal = new GregorianCalendar();
  } // SimpleDateFormat
//===================================================================
  public String format (Date date)
//===================================================================
  {
    myCal.setTime(date);
    return format(myCal);
  } // format
//===================================================================
  public Date parse (String datetime)
    throws ParseException
//===================================================================
  {
    parse(datetime,myCal,0);
    return myCal.getTime();
  } // parse
//===================================================================
  public void setTimeZone (TimeZone tz)
//===================================================================
  {
    myCal.setTimeZone(tz);
  } // setTimeZone
//===================================================================
}
//##################################################################
