// Test by Tom Arn, not part of the bouncycastle code

import org.bouncycastle.crypto.digests.SkeinDigest; 
import org.bouncycastle.util.Strings;
import org.bouncycastle.util.encoders.Hex;

public class MySkeinDigestTest 
{
    public static void main(String[] args)
    {
        long lBegin, lStart, lStop;
        byte[] dataBytes, hashedBytes;
        
        eve.sys.Vm.startEve(args);
        lBegin = lStop = eve.sys.Vm.getTimeStampLong();
        try {
            lStart = eve.sys.Vm.getTimeStampLong();
            
            // test code
            dataBytes = Strings.toByteArray("This is the test data");
            SkeinDigest md = new SkeinDigest(SkeinDigest.SKEIN_256, 256);
            md.reset();
            md.update(dataBytes,0,dataBytes.length);
            hashedBytes = new byte[md.getDigestSize()];
            md.doFinal(hashedBytes,0);
            System.out.println("Hash Skein-256-256="+Hex.toHexString(hashedBytes));
            
            md = new SkeinDigest(SkeinDigest.SKEIN_256, 384);
            md.reset();
            md.update(dataBytes,0,dataBytes.length);
            hashedBytes = new byte[md.getDigestSize()];
            md.doFinal(hashedBytes,0);
            System.out.println("Hash Skein-256-384="+Hex.toHexString(hashedBytes));
            //
            
            lStop = eve.sys.Vm.getTimeStampLong();
        } catch (Throwable t) { t.printStackTrace(); }
        System.out.println("Test done in "+(lStop-lBegin)+" msec.");
        eve.sys.Vm.exit(0);   
    }
}
