// modified by Tom Arn, www.t-arn.com <ta>
package org.bouncycastle.pqc.crypto.test;

import org.bouncycastle.util.test.Test;
import org.bouncycastle.util.test.TestResult;

public class RegressionTest
{
    public static Test[]    tests = {
        new McElieceFujisakiCipherTest(),
        new McElieceKobaraImaiCipherTest(),
        new McEliecePKCSCipherTest(),
        new McEliecePointchevalCipherTest(),
        new RainbowSignerTest(),
        new GMSSSignerTest()
    };

    public static void main(
        String[]    args)
    {
/* <ta>
        for (int i = 0; i != tests.length; i++)
        {
            TestResult  result = tests[i].perform();
            
            if (result.getException() != null)
            {
                result.getException().printStackTrace();
            }
            
            System.out.println(result);
        }
*/
        long lBegin, lStart, lStop;
        eve.sys.Vm.startEve(args);
        lBegin = lStop = eve.sys.Vm.getTimeStampLong();
        try {
        for (int i = 0; i != tests.length; i++)
        {
            lStart = eve.sys.Vm.getTimeStampLong();
            TestResult  result = tests[i].perform();
            lStop = eve.sys.Vm.getTimeStampLong();
            if (result.getException() != null)
            {
                result.getException().printStackTrace();
            }
            System.out.println(result+", msec, "+(lStop-lStart));
        }
        } catch (Throwable t) { t.printStackTrace(); }
        System.out.println("All test done in "+(lStop-lBegin)+" msec.");
        eve.sys.Vm.exit(0);       
// </ta>
    }
}
